Subject: bug#11091: 24.0.94; emacsclient -t

From: Juanma Barranquero <[email-masked]>
Date: Mon, 26 Mar 2012 16:03:09 +0200

On Mon, Mar 26, 2012 at 14:39, Stefan Monnier <[email-masked]> wrote:

> While we could put it in the manual, I think it'll be more useful to
> users if we can emit a warning when emacsclient requests something we
> can't do (e.g. open a tty frame when we're running in the Windows GUI).

The reason we unified -t and -c in the Windows' emacsclient is because
the user can then invoke emacslient -(c|t) from a shortcut or .CMD
file and not have to worry about the Emacs server instance being GUI
or console. The user already has an Emacs server running (or the call
to emacsclient will fail for other reasons, unrelated to c/t).
Emitting a warning in these cases seems to me more noisy than helpful.

    Juanma